Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.gvt
Class AbstractResetTransformInteractor

    java.lang.Object
      org.apache.batik.swing.gvt.AbstractResetTransformInteractor

All Implemented Interfaces:
  java.util.EventListener, Interactor, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

public abstract class AbstractResetTransformInteractor
extends java.lang.Object
implements Interactor

This class represents an interactor which reset the rendering transform of the associated document.

Field Summary
`protected boolean` | `finished` Whether the interactor has finished.

Constructor Summary
`AbstractResetTransformInteractor()`

Method Summary
`boolean` | `endInteraction()` Tells whether the interaction has finished.
`void` | `keyPressed(java.awt.event.KeyEvent e)` Invoked when a key has been pressed.
`void` | `keyReleased(java.awt.event.KeyEvent e)` Invoked when a key has been released.
`void` | `keyTyped(java.awt.event.KeyEvent e)` Invoked when a key has been typed.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).
`void` | `mousePressed(java.awt.event.MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Invoked when a mouse button has been released on a component.
`protected void` | `resetTransform(java.awt.event.InputEvent e)` Resets the associated component's transform.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.swing.gvt.Interactor
`startInteraction`

Field Detail

### finished

    protected boolean finished

  Whether the interactor has finished.

Constructor Detail

### AbstractResetTransformInteractor

    public AbstractResetTransformInteractor()

Method Detail

### endInteraction

    public boolean endInteraction()

  Tells whether the interaction has finished.

  Specified by:
    `endInteraction` in interface `Interactor`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Invoked when a key has been typed. This event occurs when a key press is followed by a key release.

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Invoked when a key has been pressed.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Invoked when a key has been released.

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Invoked when the mouse has been clicked on a component.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Invoked when the mouse enters a component.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Invoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Invoked when the mouse button has been moved on a component (with no buttons no down).

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### resetTransform

    protected void resetTransform(java.awt.event.InputEvent e)

  Resets the associated component's transform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.